@import url("https://fonts.googleapis.com/css2?family=Cairo:wght@200..1000&display=swap");

:root {
    --primary-100: rgb(36, 60, 82);
    --shadow: 0 0 0 3px rgba(27, 46, 65, 0.5);
    --text-100: #fff;
    --scand-color: rgb(201, 55, 54);
    --primary-200: #1a1f2b;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
    font-family: "Cairo", sans-serif;
}

.text-scand {
    color: var(--primary-100) !important;
}
body {
    background-color: #f9f8fa;
    min-height: 100vh;
    position: relative;
    padding-bottom: 0px;
}
/*
.container:not(header .container) {
    padding-bottom: 30px;
    margin-bottom: 5rem;
} */

footer {
    position: absolute;
    bottom: 0px; /* Adjust the bottom spacing here */
    width: 100%;
}

form input {
    height: 40px;
}
.main-cont {
    height: 450px;
}
form button:not(.btn_logout, .bg-red) {
    background-color: var(--primary-100) !important;
    color: #fff !important;
    /* border: solid 2px var(--scand-color) !important; */
    cursor: pointer;
    transition: 0.3s;
}
.bg-red,
.bg-red:hover {
    background-color: #d1dbe7;
}
.bg-red .form-control:focus {
    background-color: #bdc5cf;
}
form .logo_img {
    max-width: 200px;
    height: 200px;
    width: 100%;
    margin: 0 auto;
    display: block;
}
.sidebar::-webkit-scrollbar {
    width: 3px;
}

.sidebar::-webkit-scrollbar-track {
    background-color: transparent;
}

.sidebar::-webkit-scrollbar-thumb {
    background-color: var(--primary-100);
}

.sidebar ul li {
    width: 40px;
}
form .form-control:focus {
    border: 1px solid var(--primary-100);
    box-shadow: var(--shadow);
}
/* .form_card_effect {
    position: relative;
} */

/* border animated around card */
/* .form_card_effect::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 2px solid transparent;
    border-radius: 8px;
    pointer-events: none;
    animation: borderAnimation 2s infinite;
}

@keyframes borderAnimation {
    0% {
        border-color: transparent;
    }
    100% {
        border-color: var(--primary-100);
    }
} */
.vh-99 {
    height: 99vh;
}
.form_card_effect:hover::before {
    border: 2px solid var(--primary-100);
}

form a {
    color: var(--primary-100);
}

.form-check-input:checked {
    background-color: var(--scand-color) !important;
    border-color: var(--scand-color) !important;
}

.form-check-input:hover,
.form-check-input:focus {
    box-shadow: var(--shadow) !important;
    cursor: pointer;
}

.cursor-pointer {
    cursor: pointer;
}

input[type="number"] {
    -moz-appearance: textfield;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* .card_effect_contact {
    background-color: var(--primary-100);
    color: var(--text-100);
} */

.contact_img {
    height: 250px;
}

.min-vh-80 {
    min-height: 80vh !important;
}
/* .sidebar{
    height: 100vh;
} */
.question:active {
    display: block;
}

.question-number,
.question-number:hover {
    border: solid 1px var(--primary-100);
    color: var(--primary-100);
}
/* Highlight the active question number */
.active-question-number,
.active-question-number:hover {
    background-color: var(--primary-100);
    /* border: solid 2px var(--scand-color) !important; */
    color: white !important;
}
.unanswered-question-number {
    background-color: red;
    color: white;
}

/* Answered question styling */
.answered-question-number {
    background-color: var(--primary-100);
    color: white;
}
.w-150px {
    width: 150px;
}
.dropdown-menu a:hover,
.dropdown-menu button:hover {
    background-color: var(--primary-100) !important;
    color: #fff !important;
    border: none !important;
}

.dropdown-toggle::after {
    display: none !important;
}

.vh-90 {
    height: 90vh;
}

.alert-primary {
    background: rgba(36, 60, 82, 0.2);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    border: 1px solid  rgba(36, 60, 82, 0.2);
}

.btn-primary {
    background-color: var(--primary-100);
    color: #fff;
    border: none;
}

.btn-primary:hover {
    background-color: var(--primary-200);
    color: #fff;
}
